Description

Add the ability to make notes. These notes should be:

1. Shown on the read work page for the work and all related works

2. Rendered on a list of notes somewhere

3. Exportable / sharable

I am thinking these could be stored on Google Drive or another online file storage mechanism. It would be nice if the stored notes

were somehow renderable in Google Drive so that they would be useful even when not viewed within the application itself.

Subtasks:

Feature # 1334: Add ability to create notes Closed

Feature # 1335: List notes on the read work page Closed

Feature # 1336: List notes on related works pages Closed

Feature # 1337: Notes page which lists notes Closed

Feature # 1338: Add ability to delete notes Closed

History

#1 - 05/09/2016 07:06 PM - Luke Murphey

Potential data structure:

JSON: easy to parse, but not viewable by the user

Spreadsheet: viewable, but difficult to parse in JS (see https://developers.google.com/apps-script/guides/sheets)

CSV: somewhat parseable, but can be edited & viewed in Google drive natively (once converted)

#2 - 05/09/2016 07:11 PM - Luke Murphey

Data the must be stored:

Work (slug)

Reference (text)

Division ID (text): this would be the descriptor of the division

Verse ID (text): this would be the descriptor of the verse

Title (text)

Note content (text)

Last edited (date)

#3 - 05/09/2016 07:46 PM - Luke Murphey

I think using CSV makes a lot of sense. That opens the possibility of using other file storage APIs (Box, DropBox, etc).
#4 - 11/14/2018 08:05 PM - Luke Murphey

https://bytutorial.com/tutorials/google-api/introduction-to-google-drive-api-using-javascript

#5 - 01/15/2021 06:56 PM - Luke Murphey

See:

https://medium.com/@ryan.mcnierney/using-react-google-sheets-as-your-cms-294c02561d59

https://medium.com/@willikay11/how-to-link-your-react-application-with-google-drive-api-v3-list-and-search-files-2e4e036291b7

#6 - 05/08/2023 03:23 AM - Luke Murphey

- Status changed from New to Closed
